<mat-card class="p-0">
    <mat-card-title class="mb-0 d-flex">
        <div class="add-invoice-title d-flex align-items-center justify-content-center">
            Merge Invoice
        </div>
    </mat-card-title>
    <mat-divider></mat-divider>
    <mat-card-content class="invoice-card-content p-2">
        <div>
            <kendo-grid [data]="gridView" [height]="350" [pageSize]="pageSize" [skip]="skip" [pageable]="false"
                        [columnMenu]="false" [groupable]="false" [reorderable]="reorder" [sort]="sort"
                        [scrollable]="'scrollable'"
                        [sortable]="{
                            allowUnsort: allowUnsort,
                            mode: multiple ? 'multiple' : 'single'
                        }"
                        [selectable]="{checkboxOnly: true, mode: 'multiple'}"
                        (dataStateChange)="dataStateChange($event)"
                        (sortChange)="sortChange($event)"
                        (groupChange)="groupChange($event)">

                <kendo-grid-checkbox-column
                        showSelectAll="true"
                        [width]="40"
                ></kendo-grid-checkbox-column>

                <kendo-grid-column field="invoiceNumber" title="Invoice">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        <div *ngIf="dataItem.locked">
                            <mat-icon style="font-size: 14px;margin: 0px;">lock</mat-icon>
                            <a class="invoice-link" href="#">{{dataItem.invoiceNumber}}</a>
                        </div>
                        <div *ngIf="!dataItem.locked">
                            <a class="invoice-link" href="#">{{dataItem.invoiceNumber}}</a>
                        </div>

                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="date" title="Date"></kendo-grid-column>

                <kendo-grid-column field="bookingDate" title="Booking">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{ dataItem.bookingDate | date }}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="practitioner" title="Practitioner"></kendo-grid-column>

                <kendo-grid-column field="offerings" title="Offerings"></kendo-grid-column>

                <kendo-grid-column field="case" title="Case"></kendo-grid-column>

                <kendo-grid-column field="payer" title="Payer"></kendo-grid-column>

                <kendo-grid-column field="total" title="Total"></kendo-grid-column>

                <kendo-grid-column field="paid" title="Paid"></kendo-grid-column>

                <kendo-grid-column field="balance" title="Balance"></kendo-grid-column>

                <kendo-grid-column field="status" title="Status"></kendo-grid-column>
            </kendo-grid>
        </div>

        <mat-divider class="mt-4"></mat-divider>

        <div class="d-flex justify-content-end mt-2 pr-2" style="padding: 30px 0 15px 0;">
            <button mat-stroked-button (click)="back()">Cancel</button>
            <button mat-stroked-button class="ml-2">Merge Invoice</button>
        </div>
    </mat-card-content>

</mat-card>
